# Compiling QHacc

QHacc uses the standard gnu autoconf and automake tools, so it should be relatively easy to get up and running quickly. The instructions below provide step-by-step guidance for compilng QHacc assuming you have downloaded the sourcecode to the /tmp directory.

To install QHacc:

1. gzip -d qhacc-XX.tar.gz
2. tar xvf qhacc-XX.tar
3. cd qhacc-XX
4. ./configure1
5. make
6. make install2

1: The configure script has a few QHacc-specific options included. The non-default ones are:

      --with-qt-moc=DIR       qt-moc in DIR
      --with-qt-libs=DIR      qt-libs in DIR
      --with-qt-includes=DIR  qt-includes in DIR

      --enable-mysql          build MySQL plugin [default=no]
      --enable-psql           build PostgreSQL plugin [default=no]
      --enable-sqlite         build SQLite plugin [default=no]
      --enable-ofx            build xml plugin [default=no]

(For a complete list, run ./configure --help)

2: The make install command simply installs the binary in /usr/local/qhacc/bin by default. These html files and other supporting files are copied to /usr/local/qhacc/share/html. See the FAQ for more information on installing to non-default locations.

Compiling QHacc on Mac OSX is slightly different. The following command will reportedly build QHacc on that platform. CC=g++ QTLIBDIR=/usr/local/qt/lib ./configure

If you have trouble compiling QHacc, please make sure you have a recent version of the Qt libraries installed. QTDIR does not necessarily have to be set, but if not, please use the --with-qt-XX options. Otherwise, see the documentation included with Qt for instructions on compiling that program.